<?php
add_action('cmb2_admin_init', 'ard_settings_page');

function ard_settings_page()
{
    
    /**
     * О клинике 
     */
    $eo = new_cmb2_box([
        'id' => 'ard_opt_page',
        'title' => "Настройки",
        'object_types' => [
            'options-page'
        ],
        'option_key' => 'ard-info', // The option key and admin menu page slug.
        'icon_url' => 'dashicons-store', // Menu icon. Only applicable if 'parent_slug' is left empty.
        'capability' => 'delete_others_posts', // Cap required to view options-page.
        'position' => 1,
        "parent_slug"=>"edit.php?post_type=ard-donate"
    ]);
    
    $eo->add_field([
        "id"=>"title",
        "name"=>"Название фонда",
        "type"=>"text"
    ]);
    
    $eo->add_field([
        "id"=>"title3",
        "name"=>"Карточка",
        "type"=>"title"
    ]);
    
    $eo->add_field([
        "id"=>"phone",
        "name"=>"Телефон",
        "type"=>"text"
    ]);
    
    $eo->add_field([
        "id"=>"cardN",
        "name"=>"Номер карты",
        "type"=>"text"
    ]);
    
    $eo->add_field([
        "id"=>"fio",
        "name"=>"Имя владельца",
        "type"=>"text"
    ]);
    
    $eo->add_field([
        "id"=>"title4",
        "name"=>"Яндекс-кошелёк",
        "type"=>"title"
    ]);
    
    $eo->add_field([
        "id"=>"yamoney",
        "name"=>"Кошелёк яндек-денег",
        "type"=>"text"
    ]);
}


add_action('admin_menu', 'ardInfoInit');

function ardInfoInit(){
    add_submenu_page( "edit.php?post_type=ard-donate", "Сведения о фонде", "Сведения", "delete_others_posts", "ard-all", "ard_info", 20 );
}

function ard_info(){
    ?>
    <div class="wrap cmb2-options-page option-ard-all">
    <h2>Информация о фонде</h2>
    <ul>
    	<li>
    		Баланс: <b><?=ArdHelper::getTotalBalance() ?></b> рублей.
    	</li>
    </ul>
    </div>
<?php 
}

















